Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0004511 [JEDI VCL] 02 Installation block always 2008-10-09 02:17 2008-10-18 03:10
Reporter Hans Brenkman View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version 3.34
Summary 0004511: Installation in Delphi 2007 gives compiling error message compiling JvPluginD11D.bpl
Description Installation in Delphi for Win32 2007 gives compiling error message when compiling JvPluginD11D.bpl.
Message:
JvPluginWizard.pas(846): E2003 Undeclared identifier: 'sCppDynamicLi .....
JvPluginWizard.pas(848): E2003 Undeclared identifier: 'sCppPackage'
JvPluginReg(45): F2063 Could not compile used unit '..\..desgin\ .....
Additional Information Problem exists on 2 different pc's with both a different OS:
Windows 2000 SP4 and Windows XP prof. SP3
Tags No tags attached.
Attached Files jpg file icon Error JVCL 334.jpg [^] (112,989 bytes) 2008-10-09 02:17

- Relationships

-  Notes
(0014792)
obones (administrator)
2008-10-09 05:21

Is this Delphi 2007 standalone, without C++ Builder 2007 ?
(0014828)
Hans Brenkman (reporter)
2008-10-10 05:41

The problem exists on 2 different pc's. Both have Delphi 7 and Delphi for Win32 2007 installed, so yes, without any C++ version at all.
(0014869)
obones (administrator)
2008-10-16 00:10

In the meantime, you can comment out those two lines. They won't be used by your copy of D2007 as the C++ personality is not installed.
(0014879)
AHUser (developer)
2008-10-18 03:10

Fixed in SVN.

- Issue History
Date Modified Username Field Change
2008-10-09 02:17 Hans Brenkman New Issue
2008-10-09 02:17 Hans Brenkman File Added: Error JVCL 334.jpg
2008-10-09 05:21 obones Note Added: 0014792
2008-10-09 05:21 obones Status new => feedback
2008-10-10 05:41 Hans Brenkman Note Added: 0014828
2008-10-16 00:10 obones Note Added: 0014869
2008-10-16 00:10 obones Status feedback => acknowledged
2008-10-18 03:10 AHUser Status acknowledged => resolved
2008-10-18 03:10 AHUser Fixed in Version => Daily / SVN
2008-10-18 03:10 AHUser Resolution open => fixed
2008-10-18 03:10 AHUser Assigned To => AHUser
2008-10-18 03:10 AHUser Note Added: 0014879


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker